﻿$mydir = (Split-Path -parent $MyInvocation.MyCommand.Definition)
$toolsDir = ($mydir | Split-Path | Join-Path -ChildPath "tools")


Import-Module PsGet
Install-ChocolateyZipPackage -PackageName $packageName `
                    -url "http://gallery.technet.microsoft.com/xHyperV-Module-PowerShell-a646ad1a/file/106129/2/xHyper-V_2.0.zip" `
                    -unzipLocation "$toolsDir" `
                    -specificFolder ""

$moduleManifest = gci $toolsDir -filter *.psd1 -Recurse 

Install-Module -modulename ([io.path]::GetFileNameWithoutExtension($moduleManifest)) -modulepath $moduleManifest.FullName -global -force